Bug 126200 - Patch against shadow-utils's build-error
Patch against shadow-utils's build-error
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-06-17 08:43 EDT by kanagawa jigorou
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.0.3-23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-19 07:27:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kanagawa jigorou 2004-06-17 08:43:11 EDT
The command

[jigorou@hogehost BUILD]$ rpmbuild --rebuild shadow-utils-4.0.3-21.src.rpm

comes to output an error like following messages

xmalloc.c:19: error: conflicting types for 'malloc'
xmalloc.c:19: error: conflicting types for 'malloc'
make[2]: *** [xmalloc.lo] Error 1
make[2]: Leaving directory `/builders/shadow-4.0.3/libmisc'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builders/shadow-4.0.3'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.55656 (%build)

Here is the patch to solve this problem.
(this came from http://cvs.pld.org.pl/shadow/libmisc/xmalloc.c)

[jigorou@hogehost BUILD]$ diff -ru shadow-4.0.3/libmisc/xmalloc.c.orig
--- shadow-4.0.3/libmisc/xmalloc.c.orig	1998-12-29 05:34:56.000000000
+++ shadow-4.0.3/libmisc/xmalloc.c	2004-06-17 21:18:06.444324432 +0900
@@ -16,7 +16,6 @@
 #include "defines.h"
-extern char *malloc();
 char *
 xmalloc(size_t size)
[jigorou@hogehost BUILD]$

Note You need to log in before you can comment on or make changes to this bug.